## codeblocks 16.01+dfsg

=== src/plugins/astyle/astyle/Makefile ===
# Make file for GCC compiler on Linux or compatible OS
# The license.html file describes the conditions under which this software may be distributed.

# list of source files for astyle
SRC = astyle_main.cpp \
      ASBeautifier.cpp \
      ASFormatter.cpp \
      ASEnhancer.cpp \
      ASLocalizer.cpp \
      ASResource.cpp

# list of source files for libraries without ASLocalizer
SRCx = astyle_main.cpp \
       ASBeautifier.cpp \
       ASFormatter.cpp \
       ASEnhancer.cpp \
       ASResource.cpp

# source directories
vpath %.cpp ../../src
vpath %.h   ../../src

# NOTE for java compiles the environment variable $JAVA_HOME must be set
# example: export JAVA_HOME=/usr/lib/jvm/java-6-sun-1.6.0.00
ifndef JAVA_HOME
    JAVA_HOME = /usr/lib/jvm/default-java
endif

# set prefix if not defined on the command line
ifndef prefix
    prefix=/usr
endif
SYSCONF_PATH=$(prefix)/share/doc/astyle

# define macros
bindir = bin
objdir = obj
ipath=$(prefix)/bin
CBASEFLAGS = -Wall -Wextra -fno-rtti -fno-exceptions
JAVAINCS   = -I$(JAVA_HOME)/include
CXX = g++
INSTALL=install -o $(USER) -g $(USER)

##################################################

# define compile options for each build
ifdef CFLAGS
    CFLAGSr   = -DNDEBUG $(CBASEFLAGS) $(CFLAGS)
    CFLAGSd   = -g $(CBASEFLAGS) $(CFLAGS)
else
    CFLAGSr   = -DNDEBUG -O3 $(CBASEFLAGS)
    CFLAGSd   = -g $(CBASEFLAGS)
endif
CFLAGSs   = -DASTYLE_LIB -fPIC -fvisibility=hidden $(CFLAGSr)
CFLAGSsd  = -DASTYLE_LIB -fPIC -fvisibility=hidden $(CFLAGSd)
CFLAGSa   = -DASTYLE_LIB $(CFLAGSr)
CFLAGSad  = -DASTYLE_LIB $(CFLAGSd)
CFLAGSsj  = -DASTYLE_JNI -fPIC -fvisibility=hidden $(CFLAGSr) $(JAVAINCS)
CFLAGSsjd = -DASTYLE_JNI -fPIC -fvisibility=hidden $(CFLAGSd) $(JAVAINCS)

# define link options
ifdef LDFLAGS
    LDFLAGSr   = $(LDFLAGS)
    LDFLAGSd   = $(LDFLAGS)
else
    LDFLAGSr   = -s
    LDFLAGSd   =
endif

# object files are built from the source list $(SRC)
# a suffix is added for each build
OBJ   = $(patsubst %.cpp,$(objdir)/%.o,$(SRC))
OBJd  = $(patsubst %.cpp,$(objdir)/%_d.o,$(SRC))
OBJs  = $(patsubst %.cpp,$(objdir)/%_s.o,$(SRCx))
OBJsd = $(patsubst %.cpp,$(objdir)/%_sd.o,$(SRCx))
OBJa  = $(patsubst %.cpp,$(objdir)/%_a.o,$(SRCx))
OBJad = $(patsubst %.cpp,$(objdir)/%_ad.o,$(SRCx))
OBJsj  = $(patsubst %.cpp,$(objdir)/%_sj.o,$(SRCx))
OBJsjd = $(patsubst %.cpp,$(objdir)/%_sjd.o,$(SRCx))

# define object file rule (with the suffix) for each build

# OBJ
$(objdir)/%.o:  %.cpp  astyle.h  astyle_main.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSr) -c $< -o $@

# OBJd
$(objdir)/%_d.o:  %.cpp  astyle.h  astyle_main.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSd) -c $< -o $@

# OBJs
$(objdir)/%_s.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSs) -c $< -o $@

# OBJsd
$(objdir)/%_sd.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsd) -c $< -o $@

# OBJa
$(objdir)/%_a.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSa) -c $< -o $@

# OBJad
$(objdir)/%_ad.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSad) -c $< -o $@

# OBJsj
$(objdir)/%_sj.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsj) -c $< -o $@

# OBJsjd
$(objdir)/%_sjd.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsjd) -c $< -o $@

##################################################
# define build dependencies for each command

release:  astyle
astyle:  $(OBJ)
	@ mkdir -p $(bindir)
	$(CXX) $(LDFLAGSr) -o $(bindir)/$@ $^
	@ echo

debug:  astyled
astyled:  $(OBJd)
	@ mkdir -p $(bindir)
	$(CXX) $(LDFLAGSd) -o $(bindir)/$@ $^
	@ echo

shared:  libastyle.so
libastyle.so:  $(OBJs)
	@ mkdir -p $(bindir)
	$(CXX) -shared $(LDFLAGSr) -o $(bindir)/libastyle-2.06.so $^
	@ echo

shareddebug:  libastyled.so
libastyled.so:  $(OBJsd)
	@ mkdir -p $(bindir)
	$(CXX) -shared $(LDFLAGSd) -o $(bindir)/libastyle-2.06d.so $^
	@ echo

static:  libastyle.a
libastyle.a:  $(OBJa)
	@ mkdir -p $(bindir)
	ar crs $(bindir)/$@ $^
	@ echo

staticdebug:  libastyled.a
libastyled.a:  $(OBJad)
	@ mkdir -p $(bindir)
	ar crs $(bindir)/$@ $^
	@ echo

java:  libastylej.so
libastylej.so:  $(OBJsj)
	@ mkdir -p $(bindir)
	$(CXX) -shared $(LDFLAGSr) -o $(bindir)/libastyle-2.06j.so $^
	@ echo

javadebug:  libastylejd.so
libastylejd.so:  $(OBJsjd)
	@ mkdir -p $(bindir)
	$(CXX) -shared $(LDFLAGSd) -o $(bindir)/libastyle-2.06jd.so $^
	@ echo

all:  release debug shared shareddebug static staticdebug

javaall:  java javadebug

clean:
	rm -f $(objdir)/*.o $(bindir)/*astyle*

cleanobj:
	rm -f $(objdir)/*.o

install:
	$(INSTALL) -m 755 -d $(ipath)
	@$(INSTALL) -m 755 $(bindir)/astyle  $(ipath)

	@if [ -d $(SYSCONF_PATH)/html ]; then \
		rm -rf  $(SYSCONF_PATH)/html; \
	fi

	$(INSTALL) -m 755 -d $(SYSCONF_PATH)
	@mkdir -p $(SYSCONF_PATH)/html;
	@for files in ../../doc/*.html  ../../doc/*.css; \
	do \
		$(INSTALL)  -m 644  $$files  $(SYSCONF_PATH)/html; \
	done

uninstall:
	rm -f $(ipath)/astyle
	rm -rf $(SYSCONF_PATH)

=== src/plugins/contrib/wxCrafterCB/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
set( CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib" )
set( CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin" )
set( CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib" )
project(wxCrafterCB)
add_subdirectory(wxcLib)

## Try to locate codeblocks package is installed
if ( UNIX )
    find_library(LIB_CODEBLOCKS
                 NAMES 
                    libcodeblocks.so
                 HINTS  
                     /usr/lib 
                     /usr/local/lib)

    find_path(CODEBLOCKS_SDK_H NAMES sdk.h
              HINTS 
              /usr/include/codeblocks
              /usr/local/include/codeblocks
              )
              
    if ( LIB_CODEBLOCKS STREQUAL "LIB_CODEBLOCKS-NOTFOUND" OR CODEBLOCKS_SDK_H STREQUAL "STREQUAL-NOTFOUND" )
        message(FATAL_ERROR "**** Please install codeblocks-dev package. Could not locate codeblocks/sdk.h")
    else()
        message("-- Adding include directory ${CODEBLOCKS_SDK_H}")
        message("-- Adding include directory ${CMAKE_SOURCE_DIR}")
        include_directories(${CODEBLOCKS_SDK_H})
        include_directories(${CMAKE_SOURCE_DIR})
        add_definitions(-DBUILDING_PLUGIN)
    endif()
else()
    # Windows
    if( NOT DEFINED ENV{CB_SRC_DIR})
        message(FATAL_ERROR "**** Please define the environment variable CB_SRC_DIR to point to CodeBlocks source directory")
    else()
        message("-- Adding include directory ${CODEBLOCKS_SDK_H}")
        message("-- Adding include directory ${CMAKE_SOURCE_DIR}")
        include_directories($ENV{CB_SRC_DIR})
        include_directories(${CMAKE_SOURCE_DIR})
        add_definitions(-DBUILDING_PLUGIN)
    endif()
endif()

if ( UNIX )
    add_definitions(-Ulinux)
    add_definitions(-Uunix)
endif()

## Add wxWidgets
set( wxWidgets_CONFIG_EXECUTABLE /usr/lib/x86_64-linux-gnu/wx/config/gtk2-unicode-release-2.8)
find_package(wxWidgets COMPONENTS std REQUIRED)
include( "${wxWidgets_USE_FILE}" )

FILE(GLOB PLUGIN_SRCS "*.cpp")
add_library(wxCrafterCB SHARED ${PLUGIN_SRCS})
target_link_libraries(wxCrafterCB wxcLib)
target_link_libraries(wxCrafterCB ${wxWidgets_LIBRARIES})

## Create the resource zip file
add_custom_command(TARGET wxCrafterCB
    COMMAND zip -j ${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/wxCrafterCB.zip ${CMAKE_SOURCE_DIR}/manifest.xml ${CMAKE_SOURCE_DIR}/Resources/Templates/wxFrameApp/* 
    POST_BUILD
)

if ( UNIX AND NOT APPLE )
    install(TARGETS wxCrafterCB DESTINATION /usr/lib/codeblocks/plugins)
    install(FILES ${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/wxCrafterCB.zip DESTINATION /usr/share/codeblocks)
endif()

=== src/plugins/contrib/wxCrafterCB/wxcLib/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

if ( WX_TOOL )
    # /usr/lib/x86_64-linux-gnu/wx/config/gtk2-unicode-release-2.8
    set( wxWidgets_CONFIG_EXECUTABLE ${WX_TOOL})
endif()

project(wxcLib)

## Add wxWidgets
find_package(wxWidgets COMPONENTS std REQUIRED)
include( "${wxWidgets_USE_FILE}" )

## Print the wx version
execute_process(COMMAND ${wxWidgets_CONFIG_EXECUTABLE} --version OUTPUT_VARIABLE WX_VERSION OUTPUT_STRIP_TRAILING_WHITESPACE)
string(SUBSTRING "${WX_VERSION}" "0" "1" wxMAJOR_VERSION)
string(SUBSTRING "${WX_VERSION}" "2" "1" wxMINOR_VERSION)
string(SUBSTRING "${WX_VERSION}" "4" "1" wxRELEASE_NUMBER)

message("-- wxWidgets used is ${wxMAJOR_VERSION}.${wxMINOR_VERSION}.${wxRELEASE_NUMBER}")

## Use all source files
FILE(GLOB WXCLIB_SRCS "*.cpp")

if ( UNIX )
    add_definitions(-fPIC)
endif()

include_directories(${CMAKE_SOURCE_DIR})
add_library(wxcLib STATIC ${WXCLIB_SRCS})

=== debian/control ===
Source: codeblocks
Section: x11
Priority: optional
Maintainer: David Paleino <dapal@debian.org>
Uploaders: Michael Casadevall <sonicmctails@gmail.com>,
           Vincent Cheng <vcheng@debian.org>
Build-Depends: debhelper (>= 9~)
 , dh-autoreconf
 , libwxgtk3.0-dev
 , zip
 , libbz2-dev
 , zlib1g-dev
 , libgtk2.0-dev
 , libhunspell-dev
 , libgamin-dev
 , libboost-dev
Standards-Version: 3.9.8
Homepage: http://codeblocks.org
Vcs-Git: https://anonscm.debian.org/git/collab-maint/codeblocks.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/codeblocks.git

Package: codeblocks
Architecture: any
Section: devel
Depends: ${shlibs:Depends}
 , ${misc:Depends}
 , codeblocks-common (= ${source:Version})
 , libcodeblocks0
Recommends:
 gcc | g++
 , gdb
 , xterm
Suggests:
 libwxgtk3.0-dev
 , codeblocks-contrib
Description: Code::Blocks integrated development environment (IDE)
 Code::Blocks is a cross-platform Integrated Development Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)

Package: codeblocks-common
Architecture: all
Breaks: codeblocks (<< 10.05)
Replaces: codeblocks (<< 10.05)
Depends: ${misc:Depends}
Description: common files for Code::Blocks IDE
 Code::Blocks is a cross-platform Integrated Development Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 .
 This package contains the architecture-independent files of Code::Blocks.

Package: libcodeblocks0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
 , ${misc:Depends}
 , binutils (>= 2.14.90.0.7)
 , file
Recommends: codeblocks
Description: Code::Blocks shared library
 Code::Blocks is a cross-platform Integrated Development Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the Code::Blocks shared library.

Package: codeblocks-dbg
Priority: extra
Architecture: any
Section: debug
Depends: ${misc:Depends}
 , codeblocks (= ${binary:Version})
 , codeblocks-contrib (= ${binary:Version})
Description: Code::Blocks debugging libraries
 Code::Blocks is a cross-platform Integrated Development Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the debugging libraries for the 'codeblocks' package.

Package: codeblocks-contrib
Architecture: any
Depends: ${shlibs:Depends}
 , ${misc:Depends}
 , codeblocks (= ${binary:Version})
 , libgamin0
 , libwxsmithlib0 (= ${binary:Version})
Recommends:
 valgrind
Description: contrib plugins for Code::Blocks IDE
 This package extends Code::Blocks functionality a great deal with the included
 plugins. These are:
    * Code profiler (based on gprof) and code statistics (SLOCs etc)
    * Copy strings
    * DragScroll (enhances mouse operations)
    * Setting of environment variables
    * Source exporter to PDF/HTML/ODT/RTF
    * Header fixup
    * Help
    * Keyboard shortcuts configuration
    * RAD gui-builder for wxWidgets (wxSmith)
    * wxSmith AUI and wxSmith contrib items
    * Selection of small games for relaxing between coding sessions! (BYOGames)
    * Autoversioning
    * ThreadSearch
    * BrowseTracker
    * Valgrind
    * HexEditor
    * IncrementalSearch
    * Codesnippets
    * Library finder
    * Regular expression testbed
    * Symbol table plugin
    * CB koders
    * MouseSap
    * Cccc
    * CppCheck

Package: codeblocks-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}
 , libcodeblocks0 (= ${binary:Version})
Description: Code::Blocks development files (SDK)
 Code::Blocks is a cross-platform Integrated Development Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the development files (headers and libraries) for
 creating Code::Blocks plugins. 

Package: libwxsmithlib0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
 , ${misc:Depends}
 , libcodeblocks0 (= ${binary:Version})
Recommends: codeblocks-contrib (= ${binary:Version})
Description: wxSmith shared library (Code::Blocks plugin for RAD GUI editing)
 Code::Blocks is a cross-platform Integrated Development Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the wxSmith shared library. 

Package: libwxsmithlib-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}
 , libwxsmithlib0 (= ${binary:Version})
Description: wxSmith development files (Code::Blocks plugin for RAD GUI editing)
 Code::Blocks is a cross-platform Integrated Development Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the wxSmith development libraries and headers.

=== debian/rules ===
#!/usr/bin/make -f

NUMJOBS = $(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
else
	DEB_BUILD_OPTIONS += parallel=$(NUMJOBS)
	export DEB_BUILD_OPTIONS
endif

export SOURCE_DATE_EPOCH = $(shell dpkg-parsechangelog -SDate | date -f- +%s)
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
# Disable WXDEBUG checks, which wx3.0 defaults to enabling but were off by
# default in wx2.8, to address issues such as #736368.
# Also enable reproducible builds by ensuring that timestamps are reproducible;
# see #824182.
export DEB_CPPFLAGS_MAINT_APPEND=-DNDEBUG \
	-DBUILD_DATE="\"\\\"`date -u -d @$(SOURCE_DATE_EPOCH) +%Y-%m-%d`\\\"\"" \
	-DBUILD_TIME="\"\\\"`date -u -d @$(SOURCE_DATE_EPOCH) +%T`\\\"\""
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ \
		--with autoreconf \
		--parallel

override_dh_auto_configure:
	# prevents FTBFS
	touch $(CURDIR)/debian/codeblocks-headers.install.wx30
	
	dh_auto_configure -- --with-contrib-plugins=all \
	                     --disable-silent-rules \
	                     --libdir=\$${exec_prefix}/lib

override_dh_install:
	find $(CURDIR)/debian/tmp -name "*.la" -delete
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbg-package=codeblocks-dbg

overide_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/codeblocks/plugins -Xusr/lib/codeblocks/wxContribItems

override_dh_shlibdeps:
	dh_shlibdeps -Xusr/lib/codeblocks/plugins

override_dh_auto_clean:
	rm -f src/plugins/contrib/SmartIndent/manifest.xml
	dh_auto_clean

get-orig-source:
	# non-free "lena" images removed via debian/copyright Files-Excluded;
	# see #794852 for details
	uscan --download-current-version

## codeblocks 17.12

=== debian/changelog ===
codeblocks (17.12-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Disable large debugging packages.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 16 Nov 2018 13:24:44 -0800

codeblocks (17.12-1) unstable; urgency=medium

  * Try to fix cross dependencies.

 -- Jens Lody <jens@odeblocks.org>  Sat, 06 Jan 2018 11:12:19 +0100

codeblocks (17.12) unstable; urgency=medium

  * New release

 -- Jens Lody <jens@odeblocks.org>  Thu, 28 Dec 2017 12:04:37 +0100

codeblocks (16.01svn10783) unstable; urgency=low

  * New svn revision

 -- Jens Lody <jens@codeblocks.org>  Sat, 20 Feb 2016 09:05:41 +0100

codeblocks (16.01) unstable; urgency=low

  * New release

 -- Jens Lody <jens@codeblocks.org>  Sun, 24 Jan 2016 10:37:15 +0100

codeblocks (13.12-1) unstable; urgency=low

  * Changes for release 13.12.

 -- Jens Lody <jens@codeblocks.org>  Tue, 24 Dec 2013 13:12:58 +0100

codeblocks (13.12-rc2) unstable; urgency=low

  * Second release candidate of release 13.12.

 -- Jens Lody <jens@codeblocks.org>  Sun, 08 Dec 2013 14:07:37 +0100

codeblocks (13.12-rc1) unstable; urgency=low

  * First release candidate of release 13.12.

 -- Jens Lody <jens@codeblocks.org>  Sun, 17 Nov 2013 19:33:23 +0100

codeblocks (10.05svn8324) unstable; urgency=low

  * Linux build-fixes; moved wxSmithKWIC into wxContribItems and
    splitted it into the items lib and the wxSmith part

 -- Jens Lody <jens@codeblocks.org>  Tue, 21 Dec 2011 10:14:46 +0100

codeblocks (10.05svn6916) unstable; urgency=low

  * New svn revision

 -- Jens Lody <jens@codeblocks.org>  Wed, 12 Jan 2011 11:12:27 +0000

codeblocks (10.05svn6787) unstable; urgency=low

  * New svn revision

 -- Jens Lody <jens@codeblocks.org>  Sun, 05 Sep 2010 09:58:05 +0000

codeblocks (10.05svn6570) unstable; urgency=low

  * New svn revision
   - Add debian/get-orig-source  and debian/get-orig-source-from-svn
     scripts that create orig-tarballs and remove Windows prebuilt
     binaries
  * Bump Standards-Version to 3.9.1
   - Stop shipping *.la files
  * Removed doc-packages, because they can not be build directly from
    svn-sources, a standalone package might come.
  * debian/control
   - Add cdbs package as Build-Depend
   - Add libbz2-dev and zlib1g-dev packages as
     Build-Depends (needed by libhelp_plugin.so)
   - Add libboost-dev (>=1.40) as Build-Depends (needed
     for Nassi-Shneiderman-plugin)
   - Removed Build-Depends for pngnq, wget (was only needed for
     the removed doc-packages)
  * debian/rules
   - Switch to CDBS rules system
   - Add parallel build support
   - Use lzma compression
  * Added option to keep (or remove) winodows dll's from dist-tarball
  * Some of the changes are based on the work of the ubuntu maintainers,
    especially Michael Casadevall.

 -- Jens Lody <jens@codeblocks.org>  Fri, 03 Sep 2010 20:38:29 +0000

codeblocks (10.05svn6372) unstable; urgency=low

  * tagged svn to 10.05
  * added automatically update-script for docs

 -- Jens Lody <jens@codeblocks.org>  Sun, 30 May 2010 16:40:18 +0200

codeblocks (8.02svn5933) unstable; urgency=low

  * more fixes to debian build system, sources and packages are now
    lintian-clean, except for some words guessed as spelling-errors.
  * changed name and installation directory for mimetype-icons
  * fixed typo

 -- Jens Lody <jens@codeblocks.org>  Sat, 20 Jun 2009 00:10:04 +0200

codeblocks (8.02svn5607) unstable; urgency=low

  * reorganised debug-packages after changing compatibility level to 5:
    codeblocks shared library is now in codeblocks-dbg,
    added codeblocks-contrib-dbg package containing debug libraries for
    the contrib-plugins,
  * moved codesnippets executable from codeblocks to contrib-plugins
    package

 -- Jens Lody <jens@codeblocks.org>  Sun, 17 May 2009 23:15:02 +0200

codeblocks (8.02svn5600) unstable; urgency=low

  * some changes to make debian-files more standard-compliant

 -- Jens Lody <jens@codeblocks.org>  Tue, 05 May 2009 22:45:16 +0200

codeblocks (8.02svn5586) unstable; urgency=low

  * add subversion and xsltproc to build dependcies
  * run bootstrap if needed
  * automatically update ChangeLog to HEAD

 -- Jens Lody <jens@codeblocks.org>  Sun, 03 May 2009 21:43:39 +0200

codeblocks (8.02svn5584) unstable; urgency=low

  * add libtool and automake to build depend

 -- Jens Lody <jens@codeblocks.org>  Sun, 03 May 2009 18:47:34 +0200

codeblocks (8.02svn5409) unstable; urgency=low

  * Nightly linux build
  * some more changes to package and filesystem-layout
  * included wxSmith-headers
  * merged to codeblocks trunk
  * the svn-log can be found in /usr/share/doc/codeblocks/changelog.gz

 -- Jens Lody <jens@codeblocks.org>  Fri, 12 Dec 2008 21:40:51 +0100

codeblocks (8.02svn5331) unstable; urgency=low

  * Nightly linux build
  * tagged version to last [stable revision]+[svn revision] to make
    updates on actual ubuntu systems possible
  * the svn-log can be found in /usr/share/doc/codeblocks/changelog.gz

 -- Jens Lody <debian@jenslody.de>  Sun, 09 Nov 2008 18:24:45 +0100

codeblocks (1.0svn5297) unstable; urgency=low

  * Nightly linux build
  * package- and directory-structure overworked:
    moved plugins from /usr/share/codeblocks to /usr/lib/codeblocks,
    split off a codeblocks-common-package, that includes
    architecture independent files
  * changes to make lintian run without errors on sources and *.deb-files
  * no further patches of mine, they are all in svn now
  * the svn-log can be found in /usr/share/doc/codeblocks/changelog.gz

 -- Jens Lody <jens@lody.name>  Sun, 03 Aug 2008 08:50:21 +0200

codeblocks (1.0svn4511) dapper; urgency=low

  * Nightly linux build

 -- Yiannis Mandravellos <mandrav@codeblocks.org>  Sat, 25 Feb 2006 12:26:36 +0200

=== debian/control ===
Source: codeblocks
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Jens Lody <jens@codeblocks.org>
Homepage: http://www.codeblocks.org
Build-Depends: debhelper (>= 9)
 , cdbs
 , automake (>= 1.9)
 , libtool (>= 1.4)
 , libwxgtk2.8-dev | libwxgtk3.0-dev
 , wx-common
 , zip
 , libbz2-dev
 , zlib1g-dev
 , libgtk2.0-dev
 , libgamin-dev
 , libboost1.40-dev | libboost-dev (>= 1.40)
 , libboost-system-dev
 , libhunspell-dev
 , libfontconfig1-dev
 , libglib2.0-dev
Standards-Version: 3.9.1

Package: codeblocks
Architecture: any
Depends: ${shlibs:Depends}
 , ${misc:Depends}
 , codeblocks-common (= ${source:Version})
 , libcodeblocks0 (= ${binary:Version})
 , xterm
Recommends:
 gcc | g++
 , gdb
Suggests:
 libwxgtk2.8-dev | libwxgtk3.0-dev
 , wx-common
 , codeblocks-contrib
Description: Code::Blocks integrated development environment (IDE)
 Code::Blocks is the open-source, cross-platform Integrated Development
 Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB (and CDB for windows platforms)
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
    * Occurrences highlighter
    * Open files list

Package: codeblocks-common
Architecture: all
Breaks: codeblocks (<< ${binary:Version})
Replaces: codeblocks (<< ${binary:Version})
Depends: ${misc:Depends}
Description: common files for Code::Blocks IDE
 Code::Blocks is the open-source, cross-platform Integrated Development
 Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 .
 This package contains the architecture-independent files of Code::Blocks.

Package: libcodeblocks0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
 , ${misc:Depends}
 , binutils (>= 2.14.90.0.7)
 , file
Recommends: codeblocks
Description: Code::Blocks shared libraries
 Code::Blocks is the open-source, cross-platform Integrated Development
 Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB (and CDB for windows platforms)
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)

Package: codeblocks-contrib
Architecture: any
Depends: ${shlibs:Depends}
 , ${misc:Depends}
 , codeblocks (= ${binary:Version})
 , libwxsmithlib0 (= ${binary:Version})
 , codeblocks-libwxcontrib0 (= ${binary:Version})
 , codeblocks-contrib-common (= ${source:Version})
Recommends:
 valgrind
 , cppcheck
 , cscope
 , cccc
Description: contrib plugins for Code::Blocks IDE
 This package extends Code::Blocks functionality a great deal with the included
 plugins. These are:
    * Autoversioning
    * BrowseTracker
    * Cccc
    * Code statistics (SLOCs etc)
    * Codesnippets
    * Copy strings
    * CppCheck
    * Cscope
    * DoxyBlocks
    * DragScroll (enhances mouse operations)
    * EditorConfig
    * EditorTweaks
    * Selection of small games for relaxing between coding sessions! (BYOGames)
    * Setting of environment variables
    * Source exporter to PDF/HTML/ODT/RTF
    * FileManager
    * Header fixup
    * Help
    * HexEditor
    * IncrementalSearch
    * Keyboard shortcuts configuration
    * CB koders
    * Library finder
    * MouseSap
    * NassiShneiderman
    * Profiler (based on gprof)
    * ProjectOptionsManipulator
    * Regular expression testbed
    * Reopen last closed editor(s) via menu or hotkey
    * Smartindent plugin (cpp, HDL, Fortran, Lua, Pascal, Python, XML)
    * Spellchecker plugin
    * Symbol table plugin
    * ThreadSearch
    * ToolsPlus
    * Valgrind
    * RAD gui-builder for wxWidgets (wxSmith)
    * wxSmith contrib items
    * wxSmith AUI

Package: codeblocks-libwxcontrib0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
 , ${misc:Depends}
 , binutils (>= 2.14.90.0.7)
 , file
Description: Code::Blocks shared libraries for wxContribItems
 This package contains the shared libraries for the wxContribItems used by wxSmith .
 Contrib items included in this package are:
    * KWIC
    * wxChartCtrl
    * wxFlatNotebook
    * wxImagePanel
    * wxSpeedButton
    * wxTreeList
    * wxCustomButton
    * wxLED

Package: codeblocks-contrib-common
Architecture: all
Depends: ${misc:Depends}
Breaks: codeblocks-contrib (<< ${binary:Version})
Replaces: codeblocks-contrib (<< ${binary:Version})
Description: common files for the contrib plugins for Code::Blocks IDE
 The contrib plugins extend Code::Blocks functionality.
 This package contains the architecture-independent files of the
 codeblocks-contrib plugins.

Package: codeblocks-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}
 , libcodeblocks0 (= ${binary:Version})
 , codeblocks-headers (= ${source:Version})
Description: Code::Blocks development libraries (SDK)
 Code::Blocks is the open-source, cross-platform Integrated Development
 Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB (and CDB for windows platforms)
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the development libraries for creating plugins
 for the Code::Blocks IDE.

Package: codeblocks-headers
Architecture: all
Depends: ${misc:Depends}
Conflicts: codeblocks-dev (<< ${source:Version})
Description: Code::Blocks development headers (SDK)
 Code::Blocks is the open-source, cross-platform Integrated Development
 Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB (and CDB for windows platforms)
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the development headers for creating plugins
 for the Code::Blocks IDE.

Package: codeblocks-wxcontrib-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}
 , codeblocks-libwxcontrib0 (= ${binary:Version})
 , codeblocks-wxcontrib-headers (= ${source:Version})
Description: Code::Blocks development libraries for wxContribItems
 This package contains the development libraries for the wxContribItems used by wxSmith .
 Items included in this package are:
    * KWIC
    * wxChartCtrl
    * wxFlatNotebook
    * wxImagePanel
    * wxSpeedButton
    * wxCustomButton
    * wxLED
 .
 This package contains the development libraries needed to use the wxContribItems in own
 programs.

Package: codeblocks-wxcontrib-headers
Architecture: all
Depends: ${misc:Depends}
 , codeblocks-wxcontrib-dev (>= ${source:Version})
 , codeblocks-wxcontrib-dev (<< ${source:Version}.1~)
Conflicts: codeblocks-wxcontrib-dev (<< ${source:Version})
Description: Code::Blocks development headers for wxContribItems
 This package contains the development headers for the wxContribItems used by wxSmith .
 Items included in this package are:
    * KWIC
    * wxChartCtrl
    * wxFlatNotebook
    * wxImagePanel
    * wxSpeedButton
    * wxCustomButton
    * wxLED
 .
 This package contains the development headers needed to use the wxContribItems in own
 programs.

Package: libwxsmithlib0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
 , ${misc:Depends}
 , libcodeblocks0 (= ${binary:Version})
Recommends: codeblocks-contrib (= ${binary:Version})
Description: wxSmith shared library (Code::Blocks plugin for RAD GUI editing)
 Code::Blocks is the open-source, cross-platform Integrated Development
 Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB (and CDB for windows platforms)
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the wxSmith shared library.
 wxSmith is included in the codeblocks-contrib package.

Package: libwxsmithlib0-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}
 , wxsmith-dev (= ${binary:Version})
Conflicts: libwxsmithlib0-dev (<< ${source:Version})
Description: wxSmith development metapackage
 This is a transitional dummy package to ensure clean upgrades to new
 package and directory structure.
 It can be safely removed.

Package: wxsmith-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}
 , libcodeblocks0 (= ${binary:Version})
 , wxsmith-headers (= ${source:Version})
Replaces: libwxsmithlib0-dev
Description: wxSmith development files (libraries)
 Code::Blocks is the open-source, cross-platform Integrated Development
 Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB (and CDB for windows platforms)
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the development libraries for wxSmith, the codeblocks
 RAD GUI editing tool.

Package: wxsmith-headers
Architecture: all
Depends: ${misc:Depends}
Conflicts: wxsmith-dev (<< ${source:Version})
Description: wxSmith development files (headers)
 Code::Blocks is the open-source, cross-platform Integrated Development
 Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB (and CDB for windows platforms)
    * Source formatter (based on AStyle)

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_BUILD_PARALLEL= yes

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	DEB_PARALLEL_JOBS ?= $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

DEB_PARALLEL_JOBS ?= $(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)

ifneq (,$(filter $(DEB_PARALLEL_JOBS),-1 0))
	DEB_PARALLEL_JOBS:=1
endif

DEB_DH_STRIP_ARGS := --no-automatic-dbgsym

DEB_CONFIGURE_EXTRA_FLAGS=--with-contrib-plugins=all --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info

DEB_INSTALL_CHANGELOGS_ALL= ChangeLog
# DEB_DBG_PACKAGE_libcodeblocks0= codeblocks-dbg
# DEB_DBG_PACKAGE_libwxsmithlib0= codeblocks-contrib-dbg

DEB_DH_MAKESHLIBS_ARGS_codeblocks-contrib= -Ncodeblocks-contrib
